<h1 align="center" id="title">Neural Chat Frontend</h1>

## 🚀 TextBot

The TextBot is a frontend component for the simple chatbot demo. It provides a straightforward user interface for interacting with the chatbot system.

### 📸 Project Screenshots

![project-screenshot](https://i.imgur.com/e6QZjJO.png)

For detailed information, please refer to the [README](./textbot/README.md).

## 🚀 SideBySide

The Side by Side is a frontend component designed for comparing the performance of chatbots at different precision levels. It offers a chat interface for interacting with chatbot systems. The primary purpose of this component is to enable users to perform performance comparisons while engaging in conversations.

### 📸 Project Screenshots

![project-screenshot](https://i.imgur.com/FDKSnIo.png)

For detailed information, please refer to the [README](./side_by_side/README.md).

## 🚀 Advanced Frontend

The Advanced Frontend is another frontend component of the NeuralChat. It offers an enhanced and feature-rich user interface compared to the Basic Frontend.

### 📸 Project Screenshots

![project-screenshot](https://i.imgur.com/a3dtpG3.png)
![project-screenshot](https://i.imgur.com/8T5Yh5I.png)
![project-screenshot](https://i.imgur.com/KCaAIlV.png)

For detailed information, please refer to the [README](./advanced_frontend/README.md).

Remember that the provided UI examples are starting points, and you have the creative freedom to build a UI that best suits your project's unique requirements. Whether you choose a simple or advanced approach, focusing on user experience and ease of interaction will contribute to the success of your chatbot system.

Feel free to refer to the README files for the Basic Frontend and the Advanced Frontend for additional guidance and insights. Happy UI customization!

## 🎙️ Talking Bot

Talking bot is NeuralChat's voice chat bot. Support user voice and robot communication.

### 📸 Project Screenshots
![project-screenshot](https://i.imgur.com/aMQjHB5.png)

For detailed information, please refer to the [README](./talkingbot/README.md).

Remember that the provided UI examples are starting points, and you have the creative freedom to build a UI that best suits your project's unique requirements. Whether you choose a simple or advanced approach, focusing on user experience and ease of interaction will contribute to the success of your chatbot system.

Feel free to refer to the README files for the Basic Frontend and the Advanced Frontend for additional guidance and insights. Happy UI customization!
